#include <stdio.h>
#include<stdlib.h>

int main() {
    int N, L;
    scanf("%d %d", &N, &L);

    int H;
    for (int i = 1; i <= N; i++) {
        scanf("%d", &H);

        if (H <= L) {
            printf("%d\n", i); 
            return 0;
        }
    }

    printf("-1\n");
    return 0;
}